Bug 16617 - debian/control is broken
Summary: debian/control is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: Sun Linux
: P5 - low major (vote)
Assignee: Robin Sheat
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16647
  Show dependency treegraph
 
Reported: 2016-05-30 12:10 UTC by Robin Sheat
Modified: 2019-06-27 09:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16617 - fix issues with debian/control (2.55 KB, patch)
2016-05-30 12:37 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 16617 - fix issues with debian/control (2.61 KB, patch)
2016-05-30 12:56 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 16617 - fix issues with debian/control (2.67 KB, patch)
2016-05-30 13:36 UTC, Jesse Weaver
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2016-05-30 12:10:23 UTC
A blind regeneration of the debian/control file currently is unlikely to succeed due to missing dependencies and errors in a declaration.
Comment 1 Robin Sheat 2016-05-30 12:37:37 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2016-05-30 12:39:29 UTC
This allows the package to start building, which is progress.
Comment 3 Chris Cormack 2016-05-30 12:56:04 UTC Comment hidden (obsolete)
Comment 4 Jesse Weaver 2016-05-30 13:36:11 UTC
Created attachment 51917 [details] [review]
Bug 16617 - fix issues with debian/control

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jesse Weaver <jweaver@bywatersolutions.com>
Comment 5 Brendan Gallagher 2016-05-30 13:38:08 UTC
Pushed to Master - Should be in the November 2016 Release.  Thanks!
Comment 6 Benjamin Rokseth 2016-06-02 10:05:49 UTC
You seem to have missed a second EEK ;)
Comment 7 Galen Charlton 2016-06-07 00:50:53 UTC
Noting that this needs to be pushed to 16.05.x as well. My patch for bug 16647 deals with the second "EEK".
Comment 8 Frédéric Demians 2016-06-15 07:29:52 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 9 Julian Maurice 2016-06-16 07:18:55 UTC
Patch pushed to 3.22.x, will be in 3.22.8